#if !defined(AFX_STATETREEVIEW_H__7CADECD5_6795_11D3_9C1B_00609712FBEF__INCLUDED_)
#define AFX_STATETREEVIEW_H__7CADECD5_6795_11D3_9C1B_00609712FBEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StateTreeView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStateTreeView view

class CStateTreeView : public CTreeView
{
protected:
	CStateTreeView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CStateTreeView)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStateTreeView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CStateTreeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CStateTreeView)
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATETREEVIEW_H__7CADECD5_6795_11D3_9C1B_00609712FBEF__INCLUDED_)
